[Rubygems-developers] [ rubygems-Feature Requests-25232 ] Native gems

noreply at rubyforge.org noreply at rubyforge.org
Tue Apr 7 14:16:47 EDT 2009


Feature Requests item #25232, was opened at 2009-04-08 01:16
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=578&aid=25232&group_id=126

Category: `gem install` command
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: Jirapong Nanta (jirapong)
Assigned to: Nobody (None)
Summary: Native gems

Initial Comment:
It would be nice if rubygems support a native gems (http://www.ironruby.net/index.php?title=Documentation/How_do_I_install_additional_gems%3F)  because it allows other Ruby Virtual Machine; JRuby and/or IronRuby to call gems in a native mode.

so, platform="win32" should be ignored, but instead have user to configure a platform=="ruby" or platform=="ironruby"  in gemrc. 

or when> gem install, have a prompt the user that there are multiple platforms and will require them to chose one.

Is it something we can add to rubygems?

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=578&aid=25232&group_id=126


More information about the Rubygems-developers mailing list